Bug 808814 - SELinux is preventing /bin/systemd-tmpfiles from access on /run/portreserve/socket
SELinux is preventing /bin/systemd-tmpfiles from access on /run/portreserve/s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
16
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-01 03:49 EDT by Alexander Murashkin
Modified: 2013-02-13 13:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 13:54:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Murashkin 2012-04-01 03:49:57 EDT
Description of problem:

SELinux is preventing /bin/systemd-tmpfiles from getattr access on the sock_file /run/portreserve/socket. See details below.

Version-Release number of selected component (if applicable):

portreserve-0.0.5-3.fc16.x86_64
systemd-units-37-17.fc16.x86_64

Additional info:

# sealert -l 41f422d8-99bb-4be7-9446-3df7c94e7a73
SELinux is preventing /bin/systemd-tmpfiles from getattr access on the sock_file /run/portreserve/socket.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that systemd-tmpfiles should be allowed getattr access on the socket sock_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep systemd-tmpfile /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp


Additional Information:
Source Context                system_u:system_r:systemd_tmpfiles_t:s0
Target Context                system_u:object_r:portreserve_var_run_t:s0
Target Objects                /run/portreserve/socket [ sock_file ]
Source                        systemd-tmpfile
Source Path                   /bin/systemd-tmpfiles
Port                          <Unknown>
Host                          condor.castle.aimk.com
Source RPM Packages           systemd-units-37-17.fc16.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-80.fc16.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     condor.castle.aimk.com
Platform                      Linux condor.castle.aimk.com 3.3.0-4.fc16.x86_64
                              #1 SMP Tue Mar 20 18:05:40 UTC 2012 x86_64 x86_64
Alert Count                   1
First Seen                    Sun 01 Apr 2012 02:38:45 AM CDT
Last Seen                     Sun 01 Apr 2012 02:38:45 AM CDT
Local ID                      41f422d8-99bb-4be7-9446-3df7c94e7a73

Raw Audit Messages
type=AVC msg=audit(1333265925.228:411): avc:  denied  { getattr } for  pid=11391 comm="systemd-tmpfile" path="/run/portreserve/socket" dev="tmpfs" ino=21770 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:portreserve_var_run_t:s0 tclass=sock_file


type=SYSCALL msg=audit(1333265925.228:411): arch=x86_64 syscall=newfstatat success=no exit=EACCES a0=4 a1=153e99b a2=7fff41c6fa30 a3=100 items=0 ppid=1 pid=11391 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=systemd-tmpfile exe=/bin/systemd-tmpfiles subj=system_u:system_r:systemd_tmpfiles_t:s0 key=(null)

Hash: systemd-tmpfile,systemd_tmpfiles_t,portreserve_var_run_t,sock_file,getattr

audit2allow

#============= systemd_tmpfiles_t ==============
allow systemd_tmpfiles_t portreserve_var_run_t:sock_file getattr;

audit2allow -R

#============= systemd_tmpfiles_t ==============
allow systemd_tmpfiles_t portreserve_var_run_t:sock_file getattr;
Comment 1 Alexander Murashkin 2012-04-01 03:59:11 EDT
SELinux policy version

selinux-policy-3.10.0-80.fc16.noarch
selinux-policy-targeted-3.10.0-80.fc16.noarch
Comment 2 Lennart Poettering 2012-09-14 10:56:16 EDT
Reassigning to the SELinux policy.
Comment 3 Fedora End Of Life 2013-01-16 10:44:48 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 13:54:16 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.